/**
 * Run all registered preprocessors on the dictionary,
 * returning the preprocessed dictionary in each step.
 *
 * @typedef {import('../../types/DesignToken.d.ts').DesignTokens} DesignTokens
 * @typedef {import('../../types/Preprocessor.d.ts').Preprocessor} Preprocessor
 * @typedef {import('../../types/Preprocessor.d.ts').preprocessor} preprocessor
 *
 * @param {DesignTokens} tokens
 * @param {Record<string, preprocessor>} [preprocessorObj]
 * @returns {Promise<DesignTokens>}
 */
export function preprocess(tokens: DesignTokens, preprocessorObj?: Record<string, import("../../types/Preprocessor.d.ts").preprocessor> | undefined): Promise<DesignTokens>;
/**
 * Run all registered preprocessors on the dictionary,
 * returning the preprocessed dictionary in each step.
 */
export type DesignTokens = import('../../types/DesignToken.d.ts').DesignTokens;
/**
 * Run all registered preprocessors on the dictionary,
 * returning the preprocessed dictionary in each step.
 */
export type Preprocessor = import('../../types/Preprocessor.d.ts').Preprocessor;
/**
 * Run all registered preprocessors on the dictionary,
 * returning the preprocessed dictionary in each step.
 */
export type preprocessor = import('../../types/Preprocessor.d.ts').preprocessor;
