declare const _default: "<%\n//\n// Copyright 2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.\n//\n// Licensed under the Apache License, Version 2.0 (the \"License\").\n// You may not use this file except in compliance with the License.\n// A copy of the License is located at\n//\n// http://www.apache.org/licenses/LICENSE-2.0\n//\n// or in the \"license\" file accompanying this file. This file is distributed\n// on an \"AS IS\" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either\n// express or implied. See the License for the specific language governing\n// permissions and limitations under the License.\n%>\n//\n// <%= file.destination %>\n//\n<%= fileHeader({ file, commentStyle: 'short' }) %>\n#import \"<%= file.className %>.h\"\n\n<% dictionary.allTokens.forEach(function(prop) {  %>\nNSString * const <%= prop.name %> = <%= prop.value %>;<% }); %>\n\n@implementation <%= file.className %>\n\n+ (NSArray *)values {\n  static NSArray* array;\n  static dispatch_once_t onceToken;\n\n  dispatch_once(&onceToken, ^{\n    array = @[\n      <%= dictionary.allTokens.map(buildProperty).join(',\\n') %>\n    ];\n  });\n\n  return array;\n}\n\n@end\n\n<% function buildProperty(prop) {\n  var to_ret = '@{\\n';\n  to_ret += '  ' + '@\"value\": ' + prop.value + ',\\n';\n  to_ret += '  ' + '@\"name\": @\"' + prop.name + '\",\\n';\n\n  for(var name in prop.attributes) {\n    if (prop.attributes[name]) {\n      to_ret += '    ' + '@\"' + name + '\": @\"' + prop.attributes[name] + '\",\\n';\n    }\n  }\n\n  // remove last comma\n  return to_ret.slice(0, -2) + '\\n' + '  ' + '}';\n} %>";
export default _default;
